package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.RemoteException;
import tv.ouya.console.api.OuyaResponseListener;
import tv.ouya.console.api.store.StoreSection;

public class StoreStructureListenerBinder
  extends IStoreStructureListener.Stub
{
  private ListenerBinderHelper<StoreSection> binderHelper;
  
  public StoreStructureListenerBinder(OuyaResponseListener<StoreSection> paramOuyaResponseListener)
  {
    this.binderHelper = new ListenerBinderHelper(paramOuyaResponseListener);
  }
  
  public void onCancel()
    throws RemoteException
  {
    this.binderHelper.onCancel();
  }
  
  public void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException
  {
    this.binderHelper.onFailure(paramInt, paramString, paramBundle);
  }
  
  public void onSuccess(StoreSection paramStoreSection)
    throws RemoteException
  {
    this.binderHelper.onSuccess(paramStoreSection);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/StoreStructureListenerBinder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */